<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern abstract="true" id="DataHasCorrespondingNotice"
	xmlns:sch="http://purl.oclc.org/dsdl/schematron">	
	<sch:rule context="*[$ISM_CAPCO_RESOURCE
                  	  and not(@ism:excludeFromRollup=true())
					and util:containsAnyOfTheTokens($attrValue, ($noticeType))]">
		<sch:assert test="index-of($partNoticeType_tok, $noticeType)>0"
			flag="error">
			[<sch:value-of select="$ruleId"/>][Error]
			If ISM_CAPCO_RESOURCE and any element meeting ISM_CONTRIBUTES in 
			the document has the attribute <sch:value-of select="$attrName"/> containing 
			[<sch:value-of select="$noticeType"/>], then some element
			meeting ISM_CONTRIBUTES in the document MUST have attribute
			noticeType containing [<sch:value-of select="$noticeType"/>].
			
			Human Readable:
			USA documents containing <sch:value-of select="$noticeType"/> 
			data must also have an <sch:value-of select="$noticeType"/> notice.
		</sch:assert>
		</sch:rule>
</sch:pattern>